%InSys1.m
%SCRIPT FILE
%This file contains the default values for a new system.  These values can
%be changed to suite the needs of the user or a new file can be read
%in when creating a new system using makesys.

%system variables

%Basic parameters
%output file name
sys.fileout='InSys3_SC';
%set system dimensionality
sys.dim=3;
%periodic boundarys in latvec1, latvec2, latvec3 (0-> NO, 1->YES)
sys.pbc=[1 1 1];
%set coordinate type, default is Cartesian ('Cart')
sys.coords='Cart';

%Atom variables 
%set lattice vectors for system
sys.latvec=[2 0 0; 0 2 0; 0 0 2];
%number of atoms (NOTE: setpos may reset this)
sys.numatms=8;
%set position, kind, and name
sys.pos=[0 0 0; 1 0 0; 0 1 0; 0 0 1; 1 1 0; 1 0 1; 0 1 1; 1 1 1];  % numatmsx3 array of reals.
sys.kind=[1 2 2 2 1 1 1 2]'; % numatmsx1 array of integers.
sys.nkind=2; % number of different atom kinds allowed, labeled 1 to nkind.
sys.name=['Cu';'Cu';'Cu';'Cu';'Cu';'Cu';'Cu';'Cu']; % numatmsxnc array of strings, all same length nc.
%set system lattice type
sys.lat='None';

% Energetics
%set potential type
sys.potent='Ising';
%Ising type interaction for within cutoff
sys.VNN(1,1)=-1;
sys.VNN(1,2)=1;
sys.VNN(2,1)=1;
sys.VNN(2,2)=-1;
%distance that determines neighbor interaction
sys.rcut=1+0.001;

%make sure system is self consitent
check(sys);
