function [n_each_kind]=NumEachKind(sys)
% NUMEACHKIND Finds the number of each kind of atom in the system.
%   [N_EACH_KIND]=NUMEACHKIND(SYS) returns a vector containing the
%   number of each kind of atom in SYS.
%
%   Example:
%   sys.kind=[1 1 2 3];
%   >> NumEachKind(sys)
% 
%   ans =
% 
%       2     1     1

for i=1:sys.nkind
    n_each_kind(i)=length(find(sys.kind==i));
end