******************************************************************
**
**  MATLAB Atomistic Modeling Toolbox (AMTB)
**
**  Version:    1.01
**  Documentation:  Ted Holby
**  Last Updated:   06/03/2005
**
******************************************************************

Introduction: 

	The purpose of this software is to run simulations commonly 
used when studying the properties of materials.  These simulations 
include Monte Carlo (MC), molecular dynamics (MD), cluster expansion
(CE) and potential fitting simulations.  Each is designed to be  simple 
and flexible so that it may be easily applied to a vast array of 
physical systems.  

    This project was created in the spirit of a suite of MATLAB
routines that are easily manipulated to the needs of the researcher.
Emphasis has been put on clarity and ease of use over speed although
care has been taken to make sure that the toolbox is as efficient as
ease of use will allow.  

    At the heart of the AMTB is the sys structure.  The sys structure
is simply a list of variables that characterize a given system.  This
may include number, position, kind, lattice vectors, periodicity, 
outputfilename, dimension,or any other variable the researcher desires.
After creating an instance of the sys structure, the variable can be
operated on by MATLAB or AMTB functions.  A simulation takes in a sys 
struct, operates on it, and returns an updated sys structure.  At any 
point, a sys struct can be saved, loaded, or visualized using commands
included in the suite.  
    

Files Included

acceptrecject.m - Determines acceptance of a monte carlo step
    

altersys.m      -changes a system for a given mont carlo step


check.m         -checks that system is self consistent dimensionally


default.m       -contains default system.parameter values


documentation.m -this file


findDeltaR.m    -finds distance matrix between atom positions


findngbrs.m     -finds atoms within a given distance of a certain set of atoms


findSysEnergy.m -finds the total potential energy of a given system


findUnitVector.m-Finds the cartesian vector that has a magnitude of 1 and is in
                 the same direction as the input vector.


loadsys.m       -loads a system from a .MAT file


magnitude.m     -finds the magnitude of a vector 


makeImageSys.m  -creates a tiled system with image atoms appended 


makePOSCAR.m	-takes in a system and outputs a POSCAR file for the VASP program


makesupercell.m -creates a tiled system that fits inside a given parallelepiped


makesys.m       -creates the system structure


mc.m            -generalized monte carlo routine using the Metropolis algorithm


posplot.m       -plots position of the atoms


printngbrs.m    -writes out the fields of ngbrs into Ascii format


printsys.m      -writes out the fields of sys into Ascii format


savesys.m       -saves system in .MAT file format

                    
setpos.m        -sets the position of the atoms 


timeit.m        -script for timing function calls (Example of an MC run)


whichCell.m     -finds which image cells a certain set of atoms are in

                


                    
            