function [unitvector]=findUnitVector(vec)
% findUnitVector Finds the cartesian vector that has a magnitude of 1 and
%   is in th same direction as the input vector.
%   [UNITVECTOR]=findUnitVector(VEC) is the unit vector in the direction of
%   VEC.  
%
%   %Example:
%     >> vec=[4 5 6]
% 
%     vec =
% 
%          4     5     6
% 
%     >> unitVec=findUnitVector(vec)
% 
%     unitVec =
% 
%         0.4558    0.5698    0.6838
% 
%     >> magnitude(unitVec)
% 
%     ans =
% 
%         1.0000
%
% See also MAGNITUDE

%find magnitude of vector
mag=magnitude(vec);

%find unit vector
unitvector=vec./mag;