function [system]=loadsys(filename)
% LOADSYS Loads a system structure from a .MAT file
%   [SYSTEM]=LOADSYS(FILENAME) is a system structure whose variables were
%   stored in 'FILENAME.MAT'.  NOTE: variables in .MAT file must be stored
%   in a structure notation sys.variable.
%
%   %Example:
%   >>a=makesys;
%   >>a.fileout
%     MySystem
%   >>savesys(a);
%   >>b=loadsys('MySystem')
%
%   Now the system b is equal to system a.
%
% See also SAVESYS, MAKESYS, PRINTSYS

%load in variables
load(filename);

%set system based on variables
system=sys;

%make sure system is self consistent
check(system);