function [mag]=magnitude(vec)
% MAGNITUDE finds the magnitude of a vector VEC
%   [MAG]=MAGNITUDE(VEC) is the magnitude of VEC
%
%   %Example:
%     >> vector=[4 5 6]
% 
%     vector =
% 
%          4     5     6
% 
%     >> mag=magnitude(vector)
% 
%     mag =
% 
%         8.7750
%
% See also FINDUNITVECTOR

%find magnitude
mag=sum(vec.^2)^(.5);