function run=mcaverage(run)
% MCAVERAGE Returns averages over samples from a MC run in RUN.
%   MCSAMPLE(RUN) will average a number of quantities, giving the mean and
%   standard deviation.
%
%   See also mc, mcsample

min=run.equilibN+1;
% Energy
run.E_mean=mean(run.E_all(min:end));
run.E_sd=std(run.E_all(min:end));
% E-mu*N
run.E_u_mean=mean(run.E_u_all(min:end));
run.E_u_sd=std(run.E_u_all(min:end));
% N
run.N_mean=mean(run.N_all(min:end,:));
run.N_sd=std(run.N_all(min:end,:));