function savesys(sys)
% SAVESYS Saves a system structure in .MAT format
%   SAVESYS(SYS) writes out a system structure to a file (SYS.FILEOUT).MAT
%   so that it can be loaded later using the LOADSYS function.
%
%   %Example:
%   >>a=makesys;
%   >>a.fileout
%
%    ans=
%
%       MySystem
%
%   >>savesys(a)
%   >>b=loadsys('MySystem')
%
%   a and b are now the same system structure
%
% See also LOADSYS, MAKESYS, PRINTSYS

%check to make sure system is self consistent
check(sys);

%save
save(sys.fileout);